# Generated from timesteps-0.9.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name timesteps

Name: rubygem-%{gem_name}
Version: 0.9.9
Release: 1%{?dist}
Summary: A library for handling discrete time series in constant increments
License: MIT
URL: https://github.com/himotoyoshi/timesteps
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.1
BuildArch: noarch

%description
A library for time conversion and intercomparison of multiple time series
data 
in the case of handling time series data of the type that specifies the time
using 
indexes of time steps since origin time. It handles time units notation like 
"hours since 2001-01-01 00:00:00", which is originate from udunits library and
also is used in CF-convension of NetCDF. The main purpose of this library is
to 
describe the time axis when dealing with time series of observational data and
climate data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSES
%{gem_instdir}/NEWS.md
%{gem_instdir}/Note.ja.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/timesteps.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.9.9-1
- Initial package
